package net.wanji.opt.dao.mapper.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AnalysisProblemCrossDayMapper extends BaseMapper<AnalysisProblemCrossDay>{
	
	 /**
	  *  查询表t_analysis_problem_cross_day所有信息
	  */
	 List<AnalysisProblemCrossDay> findAllAnalysisProblemCrossDay();
	  
	 /**
	  *  根据主键id查询表t_analysis_problem_cross_day信息
	  *  @param id
	  */
	 AnalysisProblemCrossDay findAnalysisProblemCrossDayByid(@Param("id") String id);

	/**
	*  根据条件查询表t_analysis_problem_cross_day信息
	*  @param analysisProblemCrossDay
	*/
	List<AnalysisProblemCrossDay> findAnalysisProblemCrossDayByCondition(AnalysisProblemCrossDay analysisProblemCrossDay);

	 /**
	  *  根据主键id查询表t_analysis_problem_cross_day信息
	  *  @param id
	  */
	 Integer deleteAnalysisProblemCrossDayByid(@Param("id") String id);
	
	 /**
	  *  根据主键id更新表t_analysis_problem_cross_day信息
	  *  @param analysisProblemCrossDay
	  */
	 Integer updateAnalysisProblemCrossDayByid(AnalysisProblemCrossDay analysisProblemCrossDay);
	
	 /**
	  *  新增表t_analysis_problem_cross_day信息
	  *  @param analysisProblemCrossDay
	  */
	 Integer addAnalysisProblemCrossDay(AnalysisProblemCrossDay analysisProblemCrossDay);
	
}

