package net.wanji.opt.servicev2;

import net.wanji.opt.synthesis.pojo.TrunkLineProblemDescribeEntity;
import net.wanji.opt.vo2.CrossRealTimeAlarmVO;
import net.wanji.opt.vo2.TrunkLineProblemDescribeVO;

import java.util.List;

/**
 * 监测详情-干线事件
 * @author zhengyifan
 * @date 2025/3/16
 */
public interface TrunkLineService {
    /**
     * 获取干线事件描述
     * @return
     */
    List<TrunkLineProblemDescribeEntity> getTrunkLineProblemDescribe(String greenID , String time);

    /**
     * 获取干线实时告警
     */
    List<CrossRealTimeAlarmVO> getTrunkLineRealTimeAlarm(Integer greenID, String time);
}
