package net.wanji.opt.dao.mapper;

import io.lettuce.core.dynamic.annotation.Param;
import net.wanji.opt.synthesis.pojo.TrunkLineProblemDescribeEntity;
import net.wanji.opt.vo2.CrossRealTimeAlarmVO;

import java.util.List;

/**
 * <p>
 *     监测详情-干线详情
 * </p>
 * @author zhengyifan
 * @date 2025/3/16
 */
public interface TrunkLineMapper{
    /**
     * 获取干线问题描述
     * @return
     */
    List<TrunkLineProblemDescribeEntity> getTrunkLineProblemDescribe(@Param("greenID") String greenID , @Param("time") String time);

    /**
     * 获取干线实时告警
     * @return
     */
    List<CrossRealTimeAlarmVO> getTrunkLineRealTimeAlarm(@Param("greenID") Integer greenID,@Param("time") String time);
}
